diff -Nurp '--exclude=.bzr*' tin-2.6.4/src/lang.c tin-2.6.5/src/lang.c
--- tin-2.6.4/src/lang.c	2024-12-21 15:19:00.000000000 +0100
+++ tin-2.6.5/src/lang.c	2025-12-16 20:13:10.743794876 +0100
@@ -789,6 +801,7 @@ constext txt_help_url_search_forwards[]
 constext txt_help_url_search_backwards[] = N_("search for URLs backwards");
 constext txt_help_url_select[] = N_("Open URL in browser");
 constext txt_help_url_toggle_info_line[] = N_("toggle info message in last line (URL)");
+constext *txt_hot_article_sp[] = PN_("Hot article", "Hot articles");
 
 constext txt_index_page_com[] = N_("Group Level Commands");
 constext txt_info_add_kill[] = N_("Kill filter added");
@@ -800,16 +813,17 @@ constext txt_info_do_postpone[] = N_("St
 constext txt_info_enter_valid_character[] = N_("Please enter a valid character");
 constext txt_info_missing_part[] = N_("Missing part #%d");
 constext txt_info_nopostponed[] = N_("*** No postponed articles ***");
+constext txt_info_not_available_in_raw[] = N_("Operation not available in raw-mode");
 constext txt_info_not_multipart_message[] = N_("Not a multi-part message");
 constext txt_info_not_subscribed[] = N_("You are not subscribed to this group");
 constext txt_info_no_previous_expression[] = N_("No previous expression");
 constext txt_info_no_write[] = N_("Operation disabled in no-overwrite mode");
-/* TODO: replace hard coded key-name in txt_info_postponed */
-constext txt_info_postponed[] = N_("%d postponed %s, reuse with ^O...\n");
+/* TODO: replace hard coded key-name in txt_info_postponed_sp[] */
+constext *txt_info_postponed_sp[] = PN_("%d postponed article, reuse with ^O...\n", "%d postponed articles, reuse with ^O...\n");
 constext txt_info_x_conversion_note[] = N_("X-Conversion-Note: multipart/alternative contents have been removed.\n\
   To get the whole article, turn alternative handling OFF in the Option Menu\n");
 constext txt_is_mailbox[] = N_("Save filename for %s/%s is a mailbox. Attachment not saved");
-constext txt_is_tex_encoded[] = N_("TeX2Iso encoded article");
+/* constext txt_is_tex_encoded[] = N_("TeX2Iso encoded article"); */
 /* TODO: replace hard coded key-names */
 constext txt_intro_page[] = N_("\nWelcome to %s, a full screen threaded Netnews reader. It can read news locally\n\
 (i.e. <spool>/news) or remotely (-r option) from an NNTP (Network News Transport\n\
@@ -827,7 +841,13 @@ mail to an  existing news article author
 of %s to be configured via a menu.\n\n\
 For more information read the manual page, README, INSTALL, TODO and FTP files.\n\
 Please send bug-reports/comments to %s with the 'R' command.\n");
+#ifdef NNTP_ABLE
+	constext txt_invalid_disabled_nntp_cmds[] = N_("Invalid disabled_nntp_cmds \"%s\", discarding it");
+#endif /* NNTP_ABLE */
 constext txt_invalid_from[] = N_("Invalid From:-header \"%s\". Check your mail_address setting.");
+#ifdef CHARSET_CONVERSION
+	constext txt_invalid_char_in_charset[] = N_("Charset name contains invalid characters");
+#endif /* CHARSET_CONVERSION */
 #if defined(MULTIBYTE_ABLE) && !defined(NO_LOCALE)
 	constext txt_invalid_multibyte_sequence[] = N_("Invalid multibyte sequence found\n");
 #endif /* MULTIBYTE_ABLE && !NO_LOCALE */
@@ -837,15 +857,19 @@ constext txt_invalid_from[] = N_("Invali
 constext txt_inverse_off[] = N_("Inverse video disabled");
 constext txt_inverse_on[] = N_("Inverse video enabled");
 
+constext txt_keeping_add_cmd_line_opts[] = N_(" Keeping serverrc.add_cmd_line_opts.");
 constext txt_keymap_missing_key[] = N_("Missing definition for %s\n");
 constext txt_keymap_invalid_key[] = N_("Invalid key definition '%s'\n");
 constext txt_keymap_invalid_name[] = N_("Invalid keyname '%s'\n");
 constext txt_keymap_upgraded[] = N_("Keymap file was upgraded to version %s\n");
+/* TRANSLATORS: do not translate header names like 'From:' */
 constext txt_kill_from[] = N_("Kill From:     [%s] (y/n): ");
+/* TRANSLATORS: do not translate header names like 'Lines:' */
 constext txt_kill_lines[] = N_("Kill Lines: (</>num): ");
 constext txt_kill_menu[] = N_("Kill Article Menu");
 constext txt_kill_msgid[] = N_("Kill Msg-ID:   [%s] (f/l/o/n): ");
 constext txt_kill_scope[] = N_("Kill pattern scope  : ");
+/* TRANSLATORS: do not translate header names like 'Subject:' */
 constext txt_kill_subj[] = N_("Kill Subject:  [%s] (y/n): ");
 constext txt_kill_text[] = N_("Kill text pattern   : ");
 constext txt_kill_time[] = N_("Kill time in days   : ");
@@ -853,16 +877,13 @@ constext txt_kill_time[] = N_("Kill time
 constext txt_last[] = N_("Last");
 constext txt_last_resp[] = N_("-- Last response --");
 constext txt_lines[] = N_("Lines %s  ");
-
 #if defined(NNTP_ABLE) && defined(DEBUG)
 	constext txt_log_data_hidden[] = ". [full data hidden, rerun with -v]";
 #endif /* NNTP_ABLE && DEBUG */
-
 constext txt_lookup_func_not_available[] = N_("Function not available.");
 constext txt_lookup_func_not_nntp[] = N_("Not reading via NNTP.");
 #ifdef NNTP_ABLE
-	constext txt_lookup_show_group[] = N_("Group: %s");
-	constext txt_lookup_show_groups[] = N_("Groups: %s");
+	constext *txt_lookup_show_group_sp[] = PN_("Group: %s", "Groups: %s");
 #endif /* NNTP_ABLE */
 
 constext txt_mail[] = N_("Mail");
@@ -876,8 +897,10 @@ constext txt_mailing_to[] = N_("Mailing
 constext txt_mail_save_active_head[] = N_("# [Mail/Save] active file. Format is like news active file:\n\
 #   groupname  max.artnum  min.artnum  /dir\n\
 # The 4th field is the basedir (i.e. ~/Mail or ~/News)\n#\n");
-constext txt_marked_as_read[] = N_("%s marked as read");
-constext txt_marked_as_unread[] = N_("%s marked as unread");
+constext txt_marked_article_as_read[] = N_("Article marked as read");
+constext txt_marked_article_as_unread[] = N_("Article marked as unread");
+constext txt_marked_thread_as_read[] = N_("Thread marked as read");
+constext txt_marked_thread_as_unread[] = N_("Thread marked as unread");
 constext txt_marked_arts_as_read[] = N_("Marked %d of %d %s as read");
 constext txt_marked_arts_as_unread[] = N_("Marked %d of %d %s as unread");
 constext txt_mark[] = N_("Mark");
@@ -886,6 +909,28 @@ constext txt_mark_art_read[] = N_("Mark
 constext txt_mark_group_read[] = N_("Mark group %s as read?");
 constext txt_mark_thread_read[] = N_("Mark thread as read%s?");
 constext txt_matching_cmd_line_groups[] = N_("Matching %s groups...");
+constext txt_mime_boundary[] = "--%s\n";
+constext txt_mime_boundary_end[] = "--%s--\n";
+constext txt_mime_charset[] = N_("charset %s");
+constext txt_mime_content_subtype[] = N_("content subtype %s");
+constext txt_mime_content_type[] = N_("content type %s");
+constext txt_mime_unsup_charset[] = N_("%*s[-- charset %s not supported --]\n");
+constext txt_mime_description[] = N_("%*s[-- Description: %s --]\n");
+constext txt_mime_encoding[] = N_("encoding %s");
+constext txt_mime_hdr_c_disposition[] = "Content-Disposition: %s\n";
+constext txt_mime_hdr_c_transfer_encoding[] = "Content-Transfer-Encoding: %s\n";
+constext txt_mime_hdr_c_type_msg_rfc822[] = "Content-Type: message/rfc822\n";
+constext txt_mime_hdr_c_type_multipart_mixed[] = "Content-Type: multipart/mixed; boundary=\"%s\"\n";
+constext txt_mime_hdr_c_type_text_plain_charset[] = "Content-Type: text/plain; charset=%s\n";
+constext txt_mime_lang[] = N_("lang %s");
+constext *txt_mime_line_sp[] = PN_("%s line", "%s lines");
+constext txt_mime_name[] = N_("name %s");
+constext txt_mime_sep[] = N_(", ");
+constext txt_mime_size[] = N_("size %s");
+constext txt_mime_preamble_multipart_mixed[] = N_("This message has been composed in the 'multipart/mixed' MIME-format. If you\n\
+are reading this prefix, your mail reader probably has not yet been modified\n\
+to understand the new format, and some of what follows may look strange.\n\n");
+constext txt_mime_version[] = "MIME-Version: %s\n";
 constext txt_mini_attachment_1[] = N_("<n>=set current to n; %s=line down; %s=line up; %s=help; %s=quit");
 #ifndef DONT_HAVE_PIPING
 constext txt_mini_attachment_2[] = N_("%s=view; %s=pipe; %s=pipe raw; %s=save; %s=tag; %s=tag pattern; %s=untag all");
@@ -915,14 +960,15 @@ constext txt_more[] = N_("--More--");
 	constext txt_motd[] = N_("MOTD: %s\n");
 #endif /* NNTP_ABLE */
 constext txt_moving[] = N_("Moving %s...");
+/* TRANSLATORS: do not translate header names like 'Message-ID:' */
 constext txt_msgid_line_last[] = N_("Message-ID: & last Reference  ");
+/* TRANSLATORS: do not translate header names like 'Message-ID:' */
 constext txt_msgid_line_only[] = N_("Message-ID: line              ");
+/* TRANSLATORS: do not translate header names like 'Message-ID:' or 'References:' */
 constext txt_msgid_refs_line[] = N_("Message-ID: & References: line");
 
 constext txt_newsgroup[] = N_("Go to newsgroup [%s]> ");
-constext txt_newsgroup_plural[] = N_("newsgroups");
 constext txt_newsgroup_position[] = N_("Position %s in group list (1,2,..,$) [%d]> ");
-constext txt_newsgroup_singular[] = N_("newsgroup");
 constext txt_newsrc_again[] = N_("Try and save newsrc file again?");
 constext txt_newsrc_nogroups[] = N_("Warning: No groups written to your %s file. Save aborted.");
 constext txt_newsrc_saved[] = N_("%s file saved successfully.\n");
@@ -966,7 +1012,7 @@ constext txt_not_in_active_file[] = N_("
 	constext txt_nrctbl_create[] = N_("c)reate it, use a)lternative name, use d)efault .newsrc, q)uit tin: ");
 	constext txt_nrctbl_default[] = N_("use a)lternative name, use d)efault .newsrc, q)uit tin: ");
 	constext txt_nrctbl_info[] = N_("# NNTP-server -> newsrc translation table and NNTP-server\n\
-# shortname list for %s %s\n#\n# the format of this file is\n\
+# shortname list for %s\n#\n# the format of this file is\n\
 #   <FQDN of NNTP-server> <newsrc file> <shortname> ...\n#\n\
 # if <newsrc file> is given without path, $HOME is assumed as its location\n\
 #\n# examples:\n#   news.tin.org      .newsrc-tin.org  tinorg\n\
@@ -981,6 +1027,8 @@ constext txt_options_menu_com[] = N_("Op
 constext txt_option_not_enabled[] = N_("Option not enabled. Recompile with %s.%s\n");
 constext txt_out_of_memory[] = "%s: memory exhausted trying to allocate %lu bytes in file %s line %d";
 
+/* TRANSLATORS: do not translate header names like 'Path:' */
+constext txt_path_line_nocasse[] = N_("Path: line (case insensitive)");
 constext txt_pcre_error_at[] = N_("Error in regex: %s at pos. %d '%s'");
 constext txt_pcre_error_num[] = N_("Error in regex: pcre internal error %d");
 #ifndef HAVE_LIB_PCRE2
@@ -1007,9 +1055,6 @@ constext txt_posting[] = N_("Posting art
 #endif /* NNTP_INEWS */
 constext txt_postpone_post[] = N_("Posting: %.*s ...");
 constext txt_postpone_repost[] = N_("Post postponed articles [%%s]? (%s/%s/%s/%s/%s): ");
-constext txt_prefix_hot[] = N_("Hot %s");
-constext txt_prefix_tagged[] = N_("Tagged %s");
-constext txt_prefix_untagged[] = N_("Untagged %s");
 #ifdef NNTP_ABLE
 	constext txt_prep_for_filter_on_path[] = N_("Preparing for filtering on Path header (%d/%d)...");
 #endif /* NNTP_ABLE */
@@ -1018,13 +1063,13 @@ constext txt_processing_mail_arts[] = N_
 constext txt_processing_saved_arts[] = N_("Processing saved articles marked for deletion.");
 constext txt_prompt_fup_ignore[] = N_("Accept Followup-To? %s=post, %s=ignore, %s=quit: ");
 constext txt_prompt_unchanged_mail[] = N_("Article unchanged, abort mailing?");
-constext txt_prompt_see_postponed[] = N_("Do you want to see postponed articles (%d)?");
+constext *txt_prompt_see_postponed_sp[] = PN_("Do you want to see postponed article (%d)?", "Do you want to see postponed articles (%d)?");
 
 constext txt_quick_filter_kill[] = N_("Add quick kill filter?");
 constext txt_quick_filter_select[] = N_("Add quick selection filter?");
 constext txt_quit[] = N_("Do you really want to quit?");
 constext txt_quit_cancel[] = N_("%s=edit cancel message, %s=quit, %s=delete (cancel) [%%s]: ");
-constext txt_quit_despite_tags[] = N_("You have tagged articles in this group - quit anyway?");
+constext *txt_quit_despite_tags_sp[] = PN_("You have a tagged article in this group - quit anyway?", "You have tagged articles in this group - quit anyway?");
 constext txt_quit_edit_postpone[] = N_("%s=quit, %s=edit, %s=postpone: ");
 constext txt_quit_edit_save_kill[] = N_("%s=quit, %s=edit, %s=save kill description: ");
 constext txt_quit_edit_save_select[] = N_("%s=quit, %s=edit, %s=save select description: ");
@@ -1035,22 +1080,27 @@ constext txt_range_invalid[] = N_("Inval
 	constext txt_read_abort[] = N_("Do you want to abort this operation?");
 	constext txt_read_exit[] = N_("Do you want to exit tin immediately?");
 #endif /* HAVE_SELECT */
+constext txt_reading_all_arts[] = N_("Reading all articles...");
+constext txt_reading_all_groups[] = N_("Reading all groups...");
 constext txt_reading_article[] = N_("Reading ('q' to quit)...");
-constext txt_reading_arts[] = N_("Reading %s articles...");
-constext txt_reading_attributes_file[] = N_("Reading %sattributes file: %s\n");
-constext txt_reading_config_file[] = N_("Reading %sconfig file: %s\n");
+constext txt_reading_attributes_file[] = N_("Reading attributes file: %s\n");
+constext txt_reading_global_attributes_file[] = N_("Reading global attributes file: %s\n");
+constext txt_reading_config_file[] = N_("Reading config file: %s\n");
+constext txt_reading_global_config_file[] = N_("Reading global config file: %s\n");
 constext txt_reading_filter_file[] = N_("Reading filter file: %s\n");
 #ifdef DEBUG
 	constext txt_reading_from_spool[] = N_("reading from local spool");
 #endif /* DEBUG */
 constext txt_reading_group[] = N_("Reading %s\n");
-constext txt_reading_groups[] = N_("Reading %s groups...");
 constext txt_reading_input_history_file[] = N_("Reading input history file: %s\n");
 constext txt_reading_keymap_file[] = N_("Reading keymap file: %s\n");
 constext txt_reading_news_active_file[] = N_("Reading groups from active file... ");
 constext txt_reading_news_newsrc_file[] = N_("Reading groups from newsrc file... ");
 constext txt_reading_newsgroups_file[] = N_("Reading newsgroups file... ");
 constext txt_reading_newsrc[] = N_("Reading newsrc file: %s");
+constext txt_reading_unread_arts[] = N_("Reading unread articles...");
+constext txt_reading_unread_groups[] = N_("Reading unread groups...");
+/* TRANSLATORS: do not translate header names like 'References:' */
 constext txt_refs_line_only[] = N_("References: line              ");
 #if defined(HAVE_CLOCK_GETTIME) || defined(HAVE_GETTIMEOFDAY)
 	constext txt_remaining[] = N_("(%d:%02d remaining)");
@@ -1061,6 +1111,7 @@ constext txt_rename_error[] = N_("Error:
 constext txt_reply_to_author[] = N_("Reply to author...");
 constext txt_repost[] = N_("Repost");
 constext txt_repost_an_article[] = N_("Reposting article...");
+/* TODO: plural-forms? (do we have a counter?) */
 constext txt_repost_group[] = N_("Repost article(s) to group(s) [%s]> ");
 constext txt_reset_newsrc[] = N_("Reset newsrc?");
 constext txt_resp_redirect[] = N_("Responses have been directed to the following newsgroups");
@@ -1068,11 +1119,14 @@ constext txt_resp_to_poster[] = N_("Resp
 constext txt_return_key[] = N_("Press <RETURN> to continue...");
 
 constext txt_art_score[] = N_("Score: %s");
+/* TRANSLATORS: do not translate header names like 'From:' */
 constext txt_select_from[] = N_("Select From    [%s] (y/n): ");
+/* TRANSLATORS: do not translate header names like 'Lines:' */
 constext txt_select_lines[] = N_("Select Lines: (</>num): ");
 constext txt_select_menu[] = N_("Auto-select Article Menu");
 constext txt_select_msgid[] = N_("Select Msg-ID  [%s] (f/l/o/n): ");
 constext txt_select_scope[] = N_("Select pattern scope: ");
+/* TRANSLATORS: do not translate header names like 'Subject:' */
 constext txt_select_subj[] = N_("Select Subject [%s] (y/n): ");
 constext txt_select_text[] = N_("Select text pattern : ");
 constext txt_select_time[] = N_("Select time in days   : ");
@@ -1085,8 +1139,14 @@ constext txt_serverconfig_header[] = N_(
 # will be overwritten when you leave %s.\n\
 # Do not edit at all if you don't know what you do.\n\
 ############################################################################\n\n");
+constext txt_serverrc_config_opts[] = N_("\n# config options\n");
+constext txt_serverrc_internal[] = N_("\n# internal data, should not be modified\n");
+constext txt_serverrc_tinrc[] = N_("\n# tinrc overrides\n");
+constext txt_serverrc_menu[] = N_("Serverrc Menu");
 constext txt_show_unread[] = N_("Showing unread groups only");
+/* TRANSLATORS: do not translate header names like 'Subject:' */
 constext txt_subj_line_only[] = N_("Subject: line (ignore case)   ");
+/* TRANSLATORS: do not translate header names like 'Subject:' */
 constext txt_subj_line_only_case[] = N_("Subject: line (case sensitive)");
 constext txt_save[] = N_("Save");
 constext txt_save_attachment[] = N_("Save '%s' (%s/%s)?");
@@ -1125,27 +1185,36 @@ constext txt_select_group[] = N_("Select
 constext txt_select_pattern[] = N_("Enter selection pattern [%s]> ");
 constext txt_select_thread[] = N_("Select thread> ");
 constext txt_send_bugreport[] = N_("%s %s %s (\"%s\"): send a DETAILED bug report to %s\n");
+constext txt_serverrc_menu_com[] = N_("Serverrc Menu Commands");
 constext txt_servers_active[] = N_("servers active-file");
 constext txt_skipped_group[] = N_("Skipped %s");
 constext txt_skipping_newgroups[] = N_("Cannot move into new newsgroups. Subscribe first...");
 constext txt_space[] = N_("<SPACE>");
 constext txt_starting_command[] = N_("Starting: (%s)");
+#if defined(NNTP_ABLE) && defined(NNTPS_ABLE)
+	constext txt_startup_time[] = N_("Startup time was: %s\n");
+#endif /* NNTP_ABLE && NNTPS_ABLE */
 constext txt_stp_list_thread[] = N_("List Thread (%d of %d)");
 constext txt_stp_thread[] = N_("Thread (%.*s)");
 constext txt_subscribe_pattern[] = N_("Enter wildcard subscribe pattern> ");
-constext txt_subscribed_num_groups[] = N_("subscribed to %d groups");
+constext *txt_subscribed_num_group_sp[] = PN_("subscribed to %d group", "subscribed to %d groups");
 constext txt_subscribed_to[] = N_("Subscribed to %s");
 constext txt_subscribing[] = N_("Subscribing... ");
 constext txt_supersede_article[] = N_("Repost or supersede article(s) [%%s]? (%s/%s/%s): ");
+/* TODO: plural-forms? (do we have a counter?) */
 constext txt_supersede_group[] = N_("Supersede article(s) to group(s) [%s]> ");
 constext txt_superseding_art[] = N_("Superseding article ...");
 constext txt_suspended_message[] = N_("\nStopped. Type 'fg' to restart %s\n");
 
-constext txt_time_default_days[] = N_("%d days");
+constext *txt_time_default_day_sp[] = PN_("%d day", "%d days");
 constext txt_tab[] = N_("<TAB>");
+constext *txt_tagged_article_sp[] = PN_("Tagged article", "Tagged articles");
+constext txt_tagged_thread[] = N_("Tagged thread");
+
 constext txt_tex[] = N_("TeX ");
 constext txt_tin_version[] = N_("Version: %s %s release %s (\"%s\")");
 constext txt_tinrc_defaults[] = N_("# Default action/prompt strings\n");
+/* TRANSLATORS: do not translate header names like 'Subject:', 'From:', ... */
 constext txt_tinrc_filter[] = N_("# Defaults for quick (1 key) kill & auto-selection filters\n\
 # header=NUM  0,1=Subject: 2,3=From: 4=Message-ID: & full References: line\n\
 #             5=Message-ID: & last References: entry only\n\
@@ -1159,18 +1228,18 @@ constext txt_tinrc_header[] = "# %s conf
 # Do not edit while tin is running, since all your changes to this file\n\
 # will be overwritten when you leave tin.\n#\n\
 ############################################################################\n\n";
-constext txt_tinrc_info_in_last_line[] = N_("# If ON use print current subject or newsgroup description in the last line\n");
+constext txt_tinrc_info_in_last_line[] = N_("# If ON print current subject or newsgroup description in the last line\n");
 constext txt_tinrc_newnews[] = N_("# Host & time info used for detecting new groups (don't touch)\n");
 constext txt_there_is_no_news[] = N_("There is no news\n");
 constext txt_thread_upper[] = N_("Thread");
 constext txt_thread_com[] = N_("Thread Level Commands");
 constext txt_thread_marked_as_deselected[] = N_("Thread deselected");
 constext txt_thread_marked_as_selected[] = N_("Thread selected");
-constext txt_thread_singular[] = N_("thread");
 constext txt_thread_x_of_n[] = N_("Thread %4s of %4s");
 constext txt_threading_arts[] = N_("Threading articles...");
 constext txt_threading_by_multipart[] = N_("Threading by multipart");
 #if defined(NNTP_ABLE) && defined(NNTPS_ABLE)
+	constext txt_tls_no_alpn_negotiated[] = N_("No ALP negotiated.");
 #	ifdef HAVE_LIB_LIBTLS
 	constext txt_retr_cipher_failed[] = N_("<failed to retrieve cipher>");
 	constext txt_retr_issuer_failed[] = N_("<failed to retrieve issuer>");
@@ -1199,6 +1268,7 @@ constext txt_toggled_high[] = N_("Toggle
 constext txt_toggled_rot13[] = N_("Toggled rot13 encoding");
 constext txt_toggled_tex2iso[] = N_("Toggled German TeX encoding %s");
 constext txt_toggled_tabwidth[] = N_("Toggled tab-width to %d");
+constext txt_toggled_verbatim[] = N_("Verbatim handling: %s");
 #ifndef NO_LOCKING
 	constext txt_trying_dotlock[] = N_("%d Trying to dotlock %s");
 	constext txt_trying_lock[] = N_("%d Trying to lock %s");
@@ -1206,6 +1276,8 @@ constext txt_toggled_tabwidth[] = N_("To
 constext txt_type_h_for_help[] = N_("%s=help");
 
 constext txt_unlimited_time[] = N_("Unlimited");
+constext txt_untagged_article[] = N_("Untagged article");
+constext txt_untagged_thread[] = N_("Untagged thread");
 constext txt_unsubscribe_pattern[] = N_("Enter wildcard unsubscribe pattern> ");
 constext txt_uu_error_decode[] = N_("Error decoding %s : %s");
 constext txt_uu_error_no_end[] = N_("No end.");
@@ -1217,13 +1289,11 @@ constext txt_unknown[] = N_("(unknown)")
 #if defined(XFACE_ABLE) || (defined(NNTPS_ABLE) && defined(HAVE_LIB_LIBTLS))
 	constext txt_unknown_error[] = N_("unknown error");
 #endif /* XFACE_ABLE || (NNTPS_ABLE && HAVE_LIB_LIBTLS) */
-constext txt_unread[] = N_("unread");
-constext txt_unsubscribed_num_groups[] = N_("unsubscribed from %d groups");
+constext *txt_unsubscribed_num_group_sp[] = PN_("unsubscribed from %d group", "unsubscribed from %d groups");
 constext txt_unsubscribed_to[] = N_("Unsubscribed from %s");
 constext txt_unsubscribing[] = N_("Unsubscribing... ");
 constext txt_unthreading_arts[] = N_("Unthreading articles...");
-constext txt_updated[] = N_("Updated");
-constext txt_updating[] = N_("Updating");
+constext txt_updating_group[] = N_("Updating %s...");
 constext txt_url_menu[] = N_("URL Menu");
 constext txt_url_menu_com[] = N_("URL Menu Commands");
 constext txt_url_open[] = N_("Opening %s");
@@ -1238,6 +1308,7 @@ constext txt_usage_check_for_unread_news
 constext txt_usage_dont_check_new_newsgroups[] = N_("  -q       don't check for new newsgroups");
 constext txt_usage_dont_save_files_on_quit[] = N_("  -X       don't save any files on quit");
 constext txt_usage_dont_show_descriptions[] = N_("  -d       don't show newsgroup descriptions");
+constext txt_usage_filter_file[] = N_("  -F file  filter file to use [default=%s]");
 constext txt_usage_getart_limit[] = N_("  -G limit get only limit articles/group");
 constext txt_usage_help_information[] = N_("  -H       help information about %s");
 constext txt_usage_help_message[] = N_("  -h       this help message");
@@ -1273,26 +1344,35 @@ constext txt_uue_complete[] = N_("uuenco
 constext txt_uue_incomplete[] = N_("incomplete uuencoded file");
 
 #if defined(NNTP_ABLE) && defined(NNTPS_ABLE)
-	constext txt_valid_not_after[] = N_("Valid not after : %s\n");
-	constext txt_valid_not_before[] = N_("Valid not before: %s\n");
+	constext txt_valid_not_after[] = N_("Valid not after : %s%s\n");
+	constext txt_valid_not_before[] = N_("Valid not before: %s%s\n");
+	constext txt_valid_not_yet[] = N_(" <- NOT YET VALID!");
+	constext txt_valid_no_longer[] = N_(" <- NO LONGER VALID!");
 #endif /* NNTP_ABLE && NNTPS_ABLE */
 constext txt_val_out_of_range_ignored[] = N_("%s %s out of range (%d - %d). Ignored.");
 constext txt_val_out_of_range_reset[] = N_("%s %d out of range (0 - %d). Reset to 0.");
+constext txt_verbatim_block_hidden[] = N_("[-- Verbatim block hidden --]");
 constext txt_view_attachment[] = N_("View '%s' (%s/%s)?");
 
-constext txt_warn_art_line_too_long[] = N_("\nWarning: posting exceeds %d columns. Line %d is the first long one:\n%-100s\n");
+/* TRANSLATORS: for nplurals>=3 */
+constext *txt_warn_art_line_too_long_sp[] = PN_("\nWarning: posting exceeds %d column. Line %d is the first long one:\n%-100s\n", "\nWarning: posting exceeds %d columns. Line %d is the first long one:\n%-100s\n");
 constext txt_warn_article_unchanged[] = N_("\nWarning: article unchanged after editing\n");
+/* TRANSLATORS: do not translate header names like 'Subject:' */
 constext txt_warn_blank_subject[] = N_("\nWarning: \"Subject:\" contains only whitespaces.\n");
+/* TRANSLATORS: do not translate header names like 'Subject:' or 'References:'*/
 constext txt_warn_re_but_no_references[] = N_("\n\
 Warning: \"Subject:\" begins with \"Re: \" but there are no \"References:\".\n");
+/* TRANSLATORS: do not translate header names like 'Subject:' or 'References:'*/
 constext txt_warn_references_but_no_re[] = N_("\n\
 Warning: Article has \"References:\" but \"Subject:\" does not begin\n\
          with \"Re: \" and does not contain \"(was:\".\n");
+/* TRANSLATORS: do not translate header names like 'Subject:' */
 constext txt_warn_re_only_subject[] = N_("\nWarning: \"Subject:\" contains only \"Re:\".\n");
 constext txt_warn_cancel[] = N_("Read carefully!\n\n\
   You are about to cancel an article seemingly written by you. This will wipe\n\
   the article from most  news servers  throughout the world,  but there is no\n\
   guarantee that it will work.\n\nThis is the article you are about to cancel:\n\n");
+constext txt_warn_distribution[] = N_("\nDistribution is limited to:\n");
 constext txt_warn_distribution_world[] = N_("\nWarning: Undesired Distribution \"world\" used.\n");
 constext txt_warn_encoding_and_external_inews[] = N_("\n\
 Warning: You are using a non-plain transfer encoding (such as base64 or\n\
@@ -1300,15 +1380,28 @@ Warning: You are using a non-plain trans
          article. If a signature is appended by that inews program it will\n\
          not be encoded properly.\n");
 #ifdef MIME_BREAK_LONG_LINES
-	constext txt_warn_long_line_not_qp[] = N_("\n\
+	/* TRANSLATORS: for nplurals>=3 */
+	constext *txt_warn_long_line_not_qp_sp[] = PN_("\n\
+Line %d is longer than %d octet and should be folded, but encoding\n\
+is neither set to %s nor to %s.\n",
+"\n\
 Line %d is longer than %d octets and should be folded, but encoding\n\
 is neither set to %s nor to %s.\n");
 #endif /* MIME_BREAK_LONG_LINES */
-constext txt_warn_long_line_not_break[] = N_("\n\
+/* TRANSLATORS: for nplurals>=3 */
+constext *txt_warn_long_line_not_break_sp[] = PN_("\n\
+Line %d is longer than %d octet and should be folded, but encoding\n\
+is set to %s without enabling MIME_BREAK_LONG_LINES or\n\
+posting doesn't contain any 8-bit chars and thus folding won't happen.\n",
+"\n\
 Line %d is longer than %d octets and should be folded, but encoding\n\
 is set to %s without enabling MIME_BREAK_LONG_LINES or\n\
-posting doesn't contain any 8bit chars and thus folding won't happen.\n");
-constext txt_warn_long_line_not_base[] = N_("\n\
+posting doesn't contain any 8-bit chars and thus folding won't happen.\n");
+/* TRANSLATORS: for nplurals>=3 */
+constext *txt_warn_long_line_not_base_sp[] = PN_("\n\
+Line %d is longer than %d octet and should be folded, but encoding\n\
+is not set to %s.\n",
+"\n\
 Line %d is longer than %d octets and should be folded, but encoding\n\
 is not set to %s.\n");
 constext txt_warn_example_hierarchy[] = N_("\nWarning: \"example\" is a reserved hierarchy!\n");
@@ -1329,20 +1422,29 @@ constext txt_warn_sender_required_but_di
          configuration \"disable_sender=ON\" in\n\
          \"%s\".\n");
 #endif /* !FORGERY */
-constext txt_warn_multiple_sigs[] = N_("\nWarning: Found %d '-- \\n' lines, this may confuse some people.\n");
-constext txt_warn_not_all_arts_saved[] = N_("Warning: Only %d out of %d articles were saved");
-constext txt_warn_sig_too_long[] = N_("\n\
+/* TRANSLATORS: for nplurals>=3 */
+constext *txt_warn_multiple_sigs_sp[] = PN_("\nWarning: Found %d '-- \\n' line, this may confuse some people.\n", "\nWarning: Found %d '-- \\n' lines, this may confuse some people.\n");
+/* TRANSLATORS: for nplurals>=3 */
+constext *txt_warn_not_all_arts_saved_sp[] = PN_("Warning: Only %d out of %d article was saved", "Warning: Only %d out of %d articles were saved");
+/* TRANSLATORS: for nplurals>=3 */
+constext *txt_warn_sig_too_long_sp[] = PN_("\n\
+Warning: Your signature  is longer than %d line.  Since signatures usually do\n\
+         not  transport any  useful information,  they should be as  short as\n\
+         possible.\n",
+"\n\
 Warning: Your signature  is longer than %d lines.  Since signatures usually do\n\
          not  transport any  useful information,  they should be as  short as\n\
          possible.\n");
 constext txt_warn_suspicious_mail[] = N_("Warning: this mail address may contain a spamtrap. %s=continue, %s=abort? ");
 constext txt_warn_unprintable_char[] = N_("Warning: line %d contains unprintable chars:\n%s\n");
 constext txt_warn_wrong_sig_format[] = N_("\nWarning: Signatures should start with '-- \\n' not with '--\\n'.\n");
+constext txt_warn_group_is_moderated[] = N_("Warning: the group is moderated.\n");
+constext *txt_warn_groups_moderated_sp[] = PN_("Warning: %d of the groups is moderated.\n", "Warning: %d of the groups are moderated.\n");
 constext txt_writing_attributes_file[] = N_("Writing attributes file...");
 constext txt_writing_group[] = N_("Writing %s\n");
 constext txt_writing_overview[] = N_("Writing overview cache...");
 
-constext txt_x_resp[] = N_("%4d Responses");
+constext *txt_x_resp_sp[] = PN_("%4d Response", "%4d Responses");
 #ifdef XFACE_ABLE
 	constext txt_xface_error_construct_fifo_name[] = N_("Can't run slrnface: couldn't construct fifo name.");
 	constext txt_xface_error_create_failed[] = N_("Can't run slrnface: failed to create %s");
@@ -1370,13 +1472,24 @@ However, if the directory is mounted fro
 special files created by your NFS server while slrnface is running.\n\
 Do not try to remove them.\n");
 #endif /* XFACE_ABLE */
-#if defined(NNTP_ABLE) && defined(XHDR_XREF)
+#ifdef NNTP_ABLE
 	constext txt_xref_loop[] = "%s XREF loop";
-#endif /* NNTP_ABLE && XHDR_XREF */
+#endif /* NNTP_ABLE */
+/* TRANSLATORS: do not translate header names like 'Xref:' */
+constext txt_xref_line_nocasse[] = N_("Xref: line (case insensitive)");
 
-constext txt_yanked_groups[] = N_("Added %d %s");
+constext *txt_yanked_group_sp[] = PN_("Added %d group", "Added %d groups");
 constext txt_yanked_none[] = N_("No unsubscribed groups to show");
 constext txt_yanked_sub_groups[] = N_("Showing subscribed to groups only");
+constext txt_yenc_complete[] = N_("yenc file");
+constext txt_yenc_corrupt[] = N_("corrupt yenc");
+constext txt_yenc_crc[] = N_("crc checksum %s");
+constext txt_yenc_incomplete[] = N_("incomplete yenc");
+constext txt_yenc_part[] = N_("part %s");
+constext txt_yenc_part_size[] = N_("part size %s");
+constext txt_yenc_partial[] = N_("partial yenc");
+constext txt_yenc_total[] = N_("total parts %s");
+constext txt_yenc_total_size[] = N_("total size %s");
 constext txt_yes[] = N_("Yes ");
 constext txt_you_have_mail[] = N_("You have mail");
 
